Summary:	Site CReating and Editing EnvironMent
Name:		screem
Version:	0.16.1
Release:	%mkrel 6
License:	GPLv2+ and GFDL
Group:		Editors
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.screem.org/
Source0:	http://prdownloads.sourceforge.net/screem/%{name}-%{version}.tar.gz
# (fc) 0.6.2-2mdk fix dtd location in help file
Patch0:		screem-0.14.1-docbooklocation.patch
# (lenny) 0.9.3-2mdk use system wide intltool
Patch1:		screem-intltool.patch
Patch2:		fix_miscompile.patch
Patch3:		screem-0.16.1-desktop-file.patch
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(post): GConf2 >= 2.3.3
Requires(preun): GConf2 >= 2.3.3
Requires:	dbus-x11
BuildRequires:	GConf2 >= 2.3.3
BuildRequires:	ImageMagick
BuildRequires:	dbus-devel
BuildRequires:	gettext
BuildRequires:	gnome-menus-devel
BuildRequires:	gtkhtml2-devel
#BuildRequires:	gtksourceview-devel >= 1.1.90 ?
BuildRequires:	gtksourceview1-devel
BuildRequires:	intltool
BuildRequires:	krb5-devel
BuildRequires:	krb5-server
BuildRequires:	libcroco0.6-devel
BuildRequires:	libglade2.0-devel >= 2.3.0
BuildRequires:	libgnome-menu-devel
BuildRequires:	libgnomeprintui-devel >= 2.2.0
BuildRequires:	libgnomeui2-devel >= 2.2.0
BuildRequires:	libgtkhtml2-devel >= 2.2.0
BuildRequires:	libxml2-devel >= 2.4.3
BuildRequires:	perl(XML::Parser)
BuildRequires:	scrollkeeper
BuildRequires:	popt-devel
Conflicts:	%{name}-devel < 0.16.1-3

%description
SCREEM (Site CReating and Editing EnvironMent) is an integrated development
environment for the creation and maintenance of websites and pages. It is
not a WYSIWYG editor; you are provided with raw html source in its editor
window instead.

%package	devel
Summary:	Development files for %{name}
Group:		Development/C
Conflicts:	%{name} < 0.16.1-3

%description	devel
Development files for %{name}

%prep
%setup -q
%patch0 -p1 -b .docbooklocation
%patch1 -p1 -b .intlsystemwide
%patch2	-p1
%patch3 -p0 -b .desktop

# fix build
perl -pi -e "s|-DGTK_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED -DGNOMEUI_DISABLE_DEPRECATED||g" configure*

%build
rm -f configure; autoreconf

%configure2_5x \
    --disable-schemas-install \
    --disable-update-mime \
    --disable-update-desktop \
    --enable-dbus

%make

%install
rm -rf %{buildroot}

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 -D screem.png       %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert screem.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert screem.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%define schemas screem

%if %mdkversion < 200900
%post
%{update_scrollkeeper}
%post_install_gconf_schemas %{schemas}
%{update_menus}
%{update_icon_cache hicolor}
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_scrollkeeper}
%{clean_icon_cache hicolor}
%endif

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS BUGS NEWS README TODO
%{_sysconfdir}/gconf/schemas/screem.schemas
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/*.so
%{_datadir}/application-registry/*.applications
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files devel
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/%{name}/plugins/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.16.1-6mdv2009.0
+ Revision: 225404
- rebuild
- fix no-buildroot-tag
- do not package big ChangeLog

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Anssi Hannula <anssi@mandriva.org>
    - remove obsolete plf switch, screem cannot be built against non-free
      socks5 anymore

* Thu Dec 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.16.1-4mdv2008.1
+ Revision: 138590
- rebuild for new era (and new expat)
- don't package licenses
- fd.o icons
- new license policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Funda Wang <fundawang@mandriva.org> 0.16.1-3mdv2008.0
+ Revision: 81724
- fix file conflict between main package and devel package
- fix desktop file

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.16.1-2mdv2008.0
+ Revision: 75988
- fix deps

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.16.1-1mdv2008.0
+ Revision: 75312
- fix build deps (popt-devel)
- fix build deps (gtksourceview1-devel)
- 0.16.1
- drop upstream implemented patches
- fix build deps
- sync with screem-0.16.1-5.fc6.src.rpm
- remove DEPRECATED flags to make it build (goetz)
- added the devel sub package (may be needed later on)


* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14.1-10mdv2007.0
- Patch4: don't use dbus deprecated api
- Rebuild with latest dbus

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14.1-9mdv2007.0
- Rebuild with latest libgail
- Regenerate patch3 to work with latest libgnome
- xdg menu
- use macros

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14.1-8mdk
- Rebuild with latest dbus

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.14.1-7mdk
- rebuild against openssl-0.9.8

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.14.1-6mdk
- rebuild for new dbus

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 0.14.1-5mdk
- Add missing dependency on dbus-x11

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.14.1-4mdk
- Fix patch0 (use correct url for DTD)

* Fri Jul 01 2005 Götz Waschk <waschk@mandriva.org> 0.14.1-3mdk
- fix buildrequires again

* Fri Jul 01 2005 Götz Waschk <waschk@mandriva.org> 0.14.1-2mdk
- fix buildrequires

* Thu Jun 30 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.14.1-1mdk
- 0.14.1
- regenerate P0
- drop P2 (no longer needed)
- fix build against new gnome-menu (P3 from cvs)
- %%mkrel
- Do not run update-mime-database & update-desktop-database when installing

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-4mdk
- Fix menu

* Mon Jul 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.10.2-3mdk
- drop yelp stuff
- reenable libtoolize
- patch2: fix egg build

* Mon Apr 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.2-2mdk
- fix buildrequires

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.2-1mdk
- 0.10.2
- regenerate P0

* Fri Feb 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-2mdk
- Patch1: use system wide intltool 
- fix menu section

* Sun Jan 04 2004 Abel Cheung <deaddog@deaddog.org> 0.9.3-1mdk
- New version
- Merge changes from Charles A Edwards <eslrahc@bellsouth.net>:
  o misc spec changes
  o plf: build with Socks5
- Lots of other cleanups
- Build with kerberos
- Use bundled libneon, since external neon support is a bit broken

